Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.interfaces
Interface DSAPrivateKey

All Superinterfaces:
  DSAKey, Key, PrivateKey, Serializable

    public interface DSAPrivateKey

extends DSAKey, PrivateKey

The standard interface to a DSA private key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

See Also:
  `Key`, `Signature`, `DSAKey`, `DSAPublicKey`

Field Summary
`static long` | `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.

Method Summary
`BigInteger` | `getX()` Returns the value of the private key, `x`.

Methods inherited from interface java.security.interfaces.DSAKey
`getParams`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Field Detail

### serialVersionUID

    static final long serialVersionUID

  The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.

  See Also:
    Constant Field Values

Method Detail

### getX

    BigInteger getX()

  Returns the value of the private key, `x`.

  Returns:
    the value of the private key, `x`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.